# synfig::Layer_SolidColor Class Reference

`#include <layer_solidcolor.h>`

Inheritance diagram for synfig::Layer_SolidColor:

List of all members.

## Public Member Functions

| Layer_SolidColor ()
virtual bool | set_param (const String &param, const synfig::ValueBase &value)
| Sets the parameter described by param to value.
virtual ValueBase | get_param (const String &param) const
| Get the value of the specified parameter.
virtual Color | get_color (Context context, const Point &pos) const
| Gets the color of the Canvas at pos.
virtual bool | accelerated_render (Context context, Surface *surface, int quality, const RendDesc &renddesc, ProgressCallback *cb) const
| Renders the Canvas to the given Surface in an accelerated manner.
virtual Vocab | get_param_vocab () const
| Gets the parameter vocabulary.
virtual synfig::Layer::Handle | hit_check (synfig::Context context, const synfig::Point &point) const
| Checks to see if a part of the layer is directly under point.

## Constructor & Destructor Documentation

Layer_SolidColor::Layer_SolidColor | ( |  | ) |

## Member Function Documentation

bool Layer_SolidColor::set_param | ( | const String & | param,
|  | const synfig::ValueBase & | value |
| ) |  |  | `[virtual]`

Sets the parameter described by param to value.

Parameters:

  | param | The name of the parameter to set
  | value | What the parameter is to be set to.

Returns:
  `true` on success, `false` upon rejection or failure. If it returns `false`, then the Layer is assumed to remain unchanged.

See also:
  get_param()

Todo:
  param should be of the type `const String &param`

Reimplemented from synfig::Layer_Composite.

References synfig::Color::BLEND_ALPHA_OVER, synfig::Layer_Composite::converted_blend_, synfig::Color::get_a(), IMPORT_PLUS, synfig::Color::set_a(), synfig::Layer_Composite::set_blend_method(), synfig::Layer_Composite::set_param(), and synfig::Layer_Composite::transparent_color_.

ValueBase Layer_SolidColor::get_param | ( | const String & | param | ) | const`[virtual]`

Get the value of the specified parameter.

Returns:
  The requested parameter value, or (upon failure) a NIL ValueBase.

See also:
  set_param()

Todo:
  param should be of the type `const String &`

Reimplemented from synfig::Layer_Composite.

References EXPORT, EXPORT_NAME, EXPORT_VERSION, and synfig::Layer_Composite::get_param().

Color Layer_SolidColor::get_color | ( | Context | context,
|  | const Point & | pos |
| ) |  |  | const`[virtual]`

Gets the color of the Canvas at pos.

Parameters:

  | context | Context iterator referring to next Layer.
  | pos | Point which indicates where the Color should come from

See also:
  Handle::get_color()

Reimplemented from synfig::Layer.

References synfig::Color::blend(), synfig::Color::BLEND_STRAIGHT, synfig::Layer_Composite::get_amount(), synfig::Layer_Composite::get_blend_method(), and synfig::Context::get_color().

bool Layer_SolidColor::accelerated_render | ( | Context | context,
|  | Surface * | surface,
|  | int | quality,
|  | const RendDesc & | renddesc,
|  | ProgressCallback * | cb |
| ) |  |  | const`[virtual]`

Renders the Canvas to the given Surface in an accelerated manner.

Parameters:

  | context | Context iterator referring to next Layer.
  | surface | Pointer to Surface to render to.
  | quality | The requested quality-level to render at.
  | renddesc | The associated RendDesc.
  | cb | Pointer to callback object. May be NULL if there is no callback.

Returns:
  `true` on success, `false` on failure

See also:
  Handle::accelerated_render()

Reimplemented from synfig::Layer_Composite.

References synfig::Context::accelerated_render(), synfig::ProgressCallback::amount_complete(), synfig::Color::BLEND_STRAIGHT, synfig::Layer_Composite::get_amount(), synfig::Layer_Composite::get_blend_method(), synfig::RendDesc::get_h(), and synfig::RendDesc::get_w().

Layer::Vocab Layer_SolidColor::get_param_vocab | ( | void |  | ) | const`[virtual]`

Gets the parameter vocabulary.

Reimplemented from synfig::Layer_Composite.

References _, and synfig::Layer_Composite::get_param_vocab().

synfig::Layer::Handle Layer_SolidColor::hit_check | ( | synfig::Context | context,
|  | const synfig::Point & | point |
| ) |  |  | const`[virtual]`

Checks to see if a part of the layer is directly under point.

Parameters:

  | context | Context iterator referring to next Layer.
  | point | The point to check

Returns:
  The handle of the layer under point. If there is not a layer under point, then returns an empty handle.

Reimplemented from synfig::Layer.

References synfig::Color::BLEND_COMPOSITE, synfig::Color::BLEND_STRAIGHT, synfig::Color::get_a(), synfig::Layer_Composite::get_amount(), synfig::Layer_Composite::get_blend_method(), and synfig::Context::hit_check().

The documentation for this class was generated from the following files:

- layer_solidcolor.h
- layer_solidcolor.cpp